#
# spec file for package drawpile
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           drawpile
Version:        1.0.2
Release:        %mkrel 9
Summary:        A collaborative drawing program
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            http://drawpile.net/
Source:         http://drawpile.net/files/src/drawpile-%{version}.tar.gz
Patch0:         drawpile-1.0.2-Fix-compilation-error-with-new-miniupnpc-1.9.patch
Patch1:		drawpile-1.0.2-Fix-desktop-etc-files-install.patch
BuildRequires:  pkgconfig(libpng)
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  giflib-devel
BuildRequires:  karchive-devel
BuildRequires:  kdnssd-devel
BuildRequires:  miniupnpc-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  xdg-utils

%description
DrawPile is a sketching oriented drawing program with a twist:
you can share your drawing live with other users.
There are no restrictions on who may draw where; every user has full access
to the whole picture simultaneously.

Feature highlights:
    * Antialiased drawing and multiple blending modes
    * Layers
    * Text annotations
    * Tablet pressure sensitivity
    * Image may be rotated freely while drawing
    * Built-in server for hosting shared sessions
    * Chat

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 -DCMAKE_BUILD_TYPE=debug
%make

%install
%make_install -C build

#fix .desktop file
desktop-file-edit \
	--remove-category=Network \
		%{buildroot}%{_datadir}/applications/drawpile.desktop

%files
%doc %{_docdir}/%{name}/
%{_bindir}/drawpile*
%{_datadir}/drawpile/
%{_datadir}/appdata/drawpile.appdata.xml
%{_datadir}/applications/drawpile.desktop
%{_datadir}/mime/packages/x-drawpile.xml
%{_iconsdir}/hicolor/*/apps/drawpile*
%{_iconsdir}/hicolor/*/mimetypes/*
%{_mandir}/man1/drawpile*


%changelog
* Tue May 16 2017 neoclust <neoclust> 1.0.2-9.mga6
+ Revision: 1102004
- Rebuild against new miniupnpc

* Sun Jan 10 2016 daviddavid <daviddavid> 1.0.2-8.mga6
+ Revision: 921192
- rebuild for new giflib 5.1.2

* Mon Dec 28 2015 daviddavid <daviddavid> 1.0.2-7.mga6
+ Revision: 916304
- rebuild for new libmicrohttpd 0.9.47

* Wed Oct 14 2015 wally <wally> 1.0.2-6.mga6
+ Revision: 891600
- remove Network category from .desktop file

* Wed Oct 14 2015 wally <wally> 1.0.2-5.mga6
+ Revision: 891527
- fix mimetype file install location

* Wed Oct 14 2015 wally <wally> 1.0.2-4.mga6
+ Revision: 891481
- fix mimetype icons installation also

* Wed Oct 14 2015 wally <wally> 1.0.2-3.mga6
+ Revision: 891461
- use upstream .desktop file
- add patch to install .desktop file, icons and mimetype properly
- BR giflib-devel
- BR miniupnpc-devel
- mageiafy .spec

* Tue Oct 13 2015 shlomif <shlomif> 1.0.2-2.mga6
+ Revision: 890492
- Add the .desktop file.
- Add missing BRs for i18n and stuff.
- Thanks to Necrosporus on Freenode.
- Update to new URL.

* Sun Oct 04 2015 shlomif <shlomif> 1.0.2-1.mga6
+ Revision: 886119
- Add missing BR
- Importing drawpile based on the openSUSE package


* Sat Oct  4 2014 mailaender@opensuse.org
- update to version 0.9.4
* Sun Dec 16 2012 mailaender@opensuse.org
- Adapt for SUSE
* Thu Feb  9 2012 huaren.zhong@gmail.com
- Rebuild for Fedora
  Sun Mar 28 00:00:00 UTC 2010 - Julian Aloofi <julian at, fedoraproject.org> 0.6.0-1
- initial package
